This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### switch
Examples |
    int num = 1;

    switch(num) {
      case 0:
        println("Zero");  // Does not execute
        break;
      case 1:
        println("One");  // Prints "One"
        break;
    }
    char letter = 'N';

    switch(letter) {
      case 'A':
        println("Alpha");  // Does not execute
        break;
      case 'B':
        println("Bravo");  // Does not execute
        break;
      default:             // Default executes if the case labels
        println("None");   // don't match the switch parameter
        break;
    }
    // Removing a "break" enables testing
    // for more than one value at once

    char letter = 'b';

    switch(letter) {
      case 'a':
      case 'A':
        println("Alpha");  // Does not execute
        break;
      case 'b':
      case 'B':
        println("Bravo");  // Prints "Bravo"
        break;
    }
Description | Works like an if else structure, but switch is more convenient when you need to select between three or more alternatives. Program controls jumps to the case with the same value as the expression. All remaining statements in the switch are executed unless redirected by a break. Only primitive datatypes which can convert to an integer (byte, char, and int) may be used as the expression parameter. The default is optional.
Syntax |
    switch(expression)
    {
      case label:
         statements
      case label:          // Optional
         statements        // "
      default:             // "
         statements        // "
    }
Parameters |
expression | byte, char, or int
label | byte, char, or int
statements | one or more statements to be executed
Related | case default break if else

Updated on October 26, 2013 08:58:35pm PDT